### Method

# GExiv2 Metadata set_tag_multiple

#### Declaration [src]

    gboolean
    gexiv2_metadata_set_tag_multiple (
      GExiv2Metadata* self,
      const gchar* tag,
      const gchar** values,
      GError** error
    )

#### Description [src]

The Exiv2 Tag Reference can be found at http://exiv2.org/metadata.html

All previous `tag` values are erased. For multiple value tags, each of the non `NULL` entries in `values` is stored. For single value tags, only the last non `NULL` value is assigned.

#### Parameters

`tag`

  Type: `const gchar*`

  Exiv2 tag name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`values`

  Type: An array of `gchar*`

  An array of values to set or replace the existing value(s).

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success value.